package _06_综合练习;

import java.util.Scanner;

public class Test5 {
    public static void main(String[] args) {
        /**
         * 需求:
         * 机票价格按照淡季旺季、头等舱和经济舱收费、输入机票原价、月份和头等舱或经济舱 0头等舱 1 经济舱。
         * 按照如下规则计算机票价格：旺季（5-10月）头等舱9折，经济舱8.5折，淡季（11月到来年4月）头等舱7折，经济舱6.5折。
         */
        Scanner scanner = new Scanner(System.in);
        System.out.println("请录入机票的原价");
        double originPrice = scanner.nextDouble();
        System.out.println("请录入月份");
        int month = scanner.nextInt();
        System.out.println("请录入是否是头等舱 0表示头等舱 1 表示经济舱");
        int isHead = scanner.nextInt();
        if(month >= 5 && month <= 10){
            // 判断是头等舱还是经济舱
            originPrice = getOriginPrice(originPrice, isHead, 0.9, 0.85);
        }else if((month >=1 && month<=4) || (month>=11 && month<=12)){
            originPrice = getOriginPrice(originPrice, isHead, 0.7, 0.65);
        }
        System.out.println("最终花费金额为:"+ originPrice);
    }
    private static double getOriginPrice(double originPrice, int isHead, double v, double v2) {
        if (isHead == 0) {
            originPrice *= v;
        } else {
            originPrice *= v2;
        }
        return originPrice;
    }
}
